summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 8e24cba)
raw | patch | inline | side by side (parent: 8e24cba)
author | Michael J Gruber <git@drmicha.warpmail.net> | |
Mon, 16 Mar 2009 17:03:11 +0000 (18:03 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Mon, 16 Mar 2009 19:18:18 +0000 (12:18 -0700) |
It just happens so that when GIT_EXEC_PATH points to a compiled checkout
of git.git it contains "git". Since this is not true in general make
test-lib check for "git-init" which is always in GIT_EXEC_PATH.
Signed-off-by: Michael J Gruber <git@drmicha.warpmail.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
of git.git it contains "git". Since this is not true in general make
test-lib check for "git-init" which is always in GIT_EXEC_PATH.
Signed-off-by: Michael J Gruber <git@drmicha.warpmail.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/test-lib.sh | patch | blob | history |
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 1e01a912abe41cd61206553caea095ad4a0bd064..dace24c541e5bc802e01eca1c9d5415e0a4b9782 100644 (file)
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
repo="$1"
mkdir -p "$repo"
cd "$repo" || error "Cannot setup test environment"
- "$GIT_EXEC_PATH/git" init "--template=$owd/../templates/blt/" >&3 2>&4 ||
+ "$GIT_EXEC_PATH/git-init" "--template=$owd/../templates/blt/" >&3 2>&4 ||
error "cannot run git init -- have you built things yet?"
mv .git/hooks .git/hooks-disabled
cd "$owd"